/*******************************************************************************
 * Copyright (c) 2015-2017 ONERA and IRT AESE (IRT Saint Exupéry).
 * Ce logiciel est la propriété de l’ONERA (the French Aerospace Lab) et de
 * l'IRT AESE (IRT Saint Exupéry).
 * Tous droits réservés.
 *
 * Ce programme et les éléments qui l'accompagnent sont mis à disposition
 * aux conditions définies par le contrat de licence logiciel CeCILL-C soumise
 * au droit français et respectant les principes de diffusion des logiciels libres.
 * Vous pouvez utiliser, modifier et/ou redistribuer ce programme
 * sous les conditions de la licence CeCILL-C (http://www.cecill.info).

 * This software is property of ONERA (the French Aerospace Lab) and of
 * the IRT AESE (IRT Saint Exupéry).
 * All rights reserved.
 *
 * This program and the accompanying materials are made available under
 * the terms of the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.
 * You can  use, modify and/ or redistribute the software under the terms of
 * the CeCILL-C license (http://www.cecill.info).
 *
 * Contributeurs/contributors:
 *     Guillaume Infantes (ONERA - Centre de Toulouse) - initial API and implementation
 *     Alexandre Albore (IRT Saint-Exupéry) - Altarica/Fiacre translation
 *
 *******************************************************************************/

#ifndef EXPRESSIONS_H_
#define EXPRESSIONS_H_
#include "grammars/altarica/expressions/ExpressionADD.hh"
#include "grammars/altarica/expressions/ExpressionFUNCTIONCALL.hh"
#include "grammars/altarica/expressions/ExpressionPAREN.hh"
#include "grammars/altarica/expressions/ExpressionAND.hh"
#include "grammars/altarica/expressions/Expression.hh"
#include "grammars/altarica/expressions/ExpressionQUANTIFIED.hh"
#include "grammars/altarica/expressions/ExpressionARITH.hh"
#include "grammars/altarica/expressions/ExpressionIfThenElse.hh"
#include "grammars/altarica/expressions/ExpressionUNARY.hh"
#include "grammars/altarica/expressions/ExpressionATOMIC.hh"
#include "grammars/altarica/expressions/ExpressionLOG.hh"
#include "grammars/altarica/expressions/ExpressionBOOLCONSTANT.hh"
#include "grammars/altarica/expressions/ExpressionMEMBER.hh"
#include "grammars/altarica/expressions/ExpressionUNSIGNEDINT.hh"
#include "grammars/altarica/expressions/ExpressionREAL.hh"
#include "grammars/altarica/expressions/ExpressionCASE.hh"
#include "grammars/altarica/expressions/ExpressionMINMAX.hh"
#include "grammars/altarica/expressions/ExpressionCONSTARRAY.hh"
#include "grammars/altarica/expressions/ExpressionMUL.hh"
#include "grammars/altarica/expressions/ExpressionCONSTSTRUCT.hh"
#include "grammars/altarica/expressions/ExpressionOR.hh"
#include "grammars/altarica/expressions/ExpressionCARD.hh"
#include "grammars/altarica/expressions/ExpressionINTERVAL.hh"
#include "grammars/altarica/Values.hh"
#endif
