/*******************************************************************************
 * Copyright (c) 2015-2016 ONERA.
 * Ce logiciel est la propriété de l’ONERA (the French Aerospace Lab).
 * Tous droits réservés.
 *
 * Ce programme et les éléments qui l'accompagnent sont mis à disposition
 * aux conditions définies par le contrat de licence logiciel CeCILL-C soumise
 * au droit français et respectant les principes de diffusion des logiciels libres.
 * Vous pouvez utiliser, modifier et/ou redistribuer ce programme
 * sous les conditions de la licence CeCILL-C (http://www.cecill.info).

 * This software is property of ONERA (the French Aerospace Lab).
 * All rights reserved.
 *
 * This program and the accompanying materials are made available under
 * the terms of the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.
 * You can  use, modify and/ or redistribute the software under the terms of
 * the CeCILL-C license (http://www.cecill.info).
 *
 * Contributeurs/contributors:
 *     Guillaume Infantes (ONERA - Centre de Toulouse) - initial API and implementation
 *
 *******************************************************************************/

#ifndef ALTA_PARSER_HELPER_H_
#define ALTA_PARSER_HELPER_H_

#include <string>
#include <vector>

#include "grammars/altarica/Event.hh"
#include "grammars/altarica/EventLaw.hh"
#include "grammars/altarica/Assignment.hh"
#include "grammars/altarica/Synchronisation.hh"
#include "grammars/altarica/Node.hh"
#include "grammars/altarica/Transition.hh"
#include "grammars/altarica/Variable.hh"
#include "grammars/altarica/Parameter.hh"
#include "grammars/altarica/Assertion.hh"


namespace epoch {
    namespace altarica {
	
	class nft {
	public: 
	    std::vector<Parameter*>* pd; 
	    std::vector<Variable*>* vd;
	    std::vector<Event*>* ed;
	    std::vector<Transition*>* td;
	    std::vector<Assertion*> * ad;
	    std::vector<Node*> * snd;
	    std::vector<Synchronisation*>* sd;
	    std::vector<Assignment*>* assd;
	    std::vector<Assignment*>* psd;
	    std::vector<EventLaw*> * eld;

	    nft();
	} ;


	class ParserHelper {
	public:
	    

	    //	    static void deleteStringVec(std::vector<std::string> * sv);
	};
    }
}

#endif
